Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class JNDIResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--weblogic.security.service.JNDIResource

public class JNDIResource
extends ResourceBase

The `JNDIResource` class is used by a container to specify the JMS resource (and method related to the resource) that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for a JNDI resource is:
`type=<jndi>, application=, path={pathComponent1,pathComponent2}, actionName=modify`

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Constructor Summary
`JNDIResource()` Deprecated. As of 04/01/02.
`JNDIResource(java.lang.String application, java.lang.String[] path, java.lang.String actionName)` Constructs a new `JNDIResource` with a target name composed from the `application`, `path`, and `actionName` parameters.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this resource to the resource in the specified object.
`java.lang.String` | `getActionName()` Gets the name of the action being requested on the `JNDIResource`.
`java.lang.String` | `getApplicationName()` Gets the name of the application associated with the `JNDIResource`.
`int` | `getFieldType(java.lang.String fieldName)`
`java.lang.String[]` | `getKeys()` Gets keys for the `JNDIResource`.
`java.lang.String[]` | `getPath()` Gets the path in the JNDI tree.
`java.lang.String` | `getPathName()` Get the dot-separated JNDI path of the `JNDIResource`.
`int` | `getRepeatingFieldIndex()`
`int` | `getRepeatingFieldTerminatingIndex()`
`java.lang.String` | `getType()` Gets the type of this resource (`JNDIResource`).
`void` | `initialize(java.lang.String application, java.lang.String[] path, java.lang.String actionName)` Deprecated. As of 04/01/02, the constructor should be used instead.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `JNDIResource`.
`void` | `reset()` Deprecated. As of 04/01/02.
`protected void` | `writeResourceString(java.lang.StringBuffer buf)` Writes a string representation of the resource to buffer.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, getID, getParentResource, getValues, hashCode, init, init, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JNDIResource

    public JNDIResource(java.lang.String application,
                        java.lang.String[] path,
                        java.lang.String actionName)
                 throws InvalidParameterException

  Constructs a new `JNDIResource` with a target name composed from the `application`, `path`, and `actionName` parameters.

  Parameters:
    `application` - a String representing the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with the `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `path` - an array of Strings representing the elements of the path in the JNDI tree. The order of the elements in the array must match the order of the context branches in the tree, starting with the root and walking out to the leaf level.

    `actionName` - a String representing the name of the action being requested on the JNDI resource. A value of `null` indicates that the security policy for the resource pertains to all actions that match the other parameters of the resource specification, without consideration for the action name. Valid values for this parameter are restricted to the following:
    - `lookup`
    - `modify`
    - `list`

  Throws:
    InvalidParameterException - if the parameters are not specified.

### JNDIResource

    public JNDIResource()

  Deprecated. As of 04/01/02.

  Creates an empty `JNDIResource`.

Method Detail

### initialize

    public void initialize(java.lang.String application,
                           java.lang.String[] path,
                           java.lang.String actionName)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces `application`, `path`, `actionName` of the resource with the specified values.

  Parameters:
    `application` - a String representing the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with the `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `path` - array of non-empty Strings representing the elements of the path in the JNDI tree. The order of the elements in the array must match the order of the context branches in the tree, starting with the root and walking out to the leaf level. Empty array represents the root context.

    `actionName` - a String representing the name of the action being requested on the JNDI resource. A value of `null` indicates that the security policy for the resource pertains to all actions that match the other parameters of the resource specification, without consideration for the action name. Valid values for this parameter are restricted to the following:
    - `lookup`
    - `modify`
    - `list`

### getType

    public java.lang.String getType()

  Gets the type of this resource (`JNDIResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `JNDIResource`. If the resource does not have a parent, the value of `null` is returned.

  The default parentage hierarchy for the `JNDIResource` is:

  `type=<jndi>, application=, path={pathComponent1,pathComponent2}, action=
  type=<jndi>, application=, path={pathComponent1,pathComponent2}
  type=<jndi>, application=, path={pathComponent1}, action=
  type=<jndi>, application=, path={pathComponent1}
  type=<jndi>, application=, path={}, action=
  type=<jndi>, application=, path={}
  type=<jndi>, action=
  type=<jndi>`

  The old deprecated parentage hierarchy for the `JNDIResource` (with -Dweblogic.security.scopeResourceAction) is:

  `type=<jndi>, application=, path={pathComponent1,pathComponent2},action=
  type=<jndi>, application=, path={pathComponent1}
  type=<jndi>, application=, path={}
  type=<jndi>`

  Returns:
    the `Resource` object of the parent resource.

  Overrides:
    makeParent in class ResourceBase

### getKeys

    public java.lang.String[] getKeys()

  Gets keys for the `JNDIResource`.

  Returns:
    an array of Strings containing the `JNDIResource`'s keys.

  Overrides:
    getKeys in class ResourceBase

### getFieldType

    public int getFieldType(java.lang.String fieldName)

  Overrides:
    getFieldType in class ResourceBase

### getRepeatingFieldIndex

    public int getRepeatingFieldIndex()

  Overrides:
    getRepeatingFieldIndex in class ResourceBase

### getRepeatingFieldTerminatingIndex

    public int getRepeatingFieldTerminatingIndex()

  Overrides:
    getRepeatingFieldTerminatingIndex in class ResourceBase

### writeResourceString

    protected void writeResourceString(java.lang.StringBuffer buf)

  Writes a string representation of the resource to buffer.

  Parameters:
    `buf` - buffer to write to.
  Overrides:
    writeResourceString in class ResourceBase

### getPathName

    public java.lang.String getPathName()

  Get the dot-separated JNDI path of the `JNDIResource`.

  Returns:
    the JNDI path of the `JNDIResource`, represented as a String.

### getActionName

    public java.lang.String getActionName()

  Gets the name of the action being requested on the `JNDIResource`.

  Returns:
    the name of the action being requested on the `JNDIResource`, represented as a String.

### getApplicationName

    public java.lang.String getApplicationName()

  Gets the name of the application associated with the `JNDIResource`.

  Returns:
    the name of the application associated with the `JNDIResource`, represented as a String.

### getPath

    public java.lang.String[] getPath()

  Gets the path in the JNDI tree.

  Returns:
    the elements of the path in the JNDI tree, represented as an array of Strings.

### reset

    public void reset()

  Deprecated. As of 04/01/02.

  Clears all the values from the `JNDIResource`.

  Overrides:
    reset in class ResourceBase

### equals

    public boolean equals(java.lang.Object obj)

  Compares this resource to the resource in the specified object.

  Parameters:
    `obj` - the other resource with which to compare this resource.

  Returns:
    `TRUE` if the resource passed in matches this resource, and `FALSE` otherwise.

  Overrides:
    equals in class ResourceBase
  See Also:
    `Object.equals(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference